/* 
 * File:   str.h
 * Author: Arthur Brandao
 *
 * Created on 12 octobre 2018
 */
#ifndef STR_H
#define STR_H

#include <string.h>

/**
 * Separe une chaine en à tableau par rapport à un caractère séparateur
 * @param char* La chaine à séparer
 * @param const char Le caractère séparateur
 * @param int* Le nombre d'élément dans le tableau final (initialisé dans la fonction)
 * @return 
 */
char** str_split(char*, const char, int*);

/**
 * Retire les espaces avant et après la chaine
 * @param char* La chaine à modifier
 * @return La chaine modifiée
 */
char* trim(char*);

/**
 * Retire le caractère passé en paramètre avant et après la chaine
 * @param char* La chaine à modifier
 * @param char Le caractère à retirer
 * @return La chaine modifiée
 */
char* mtrim(char*, char);

/**
 * Retire le caractère passé en paramètre avant la chaine
 * @param char* La chaine à modifier
 * @param char Le caractère à retirer
 * @return La chaine modifiée
 */
char* ltrim(char*, char);

/**
 * Retire le caractère passé en paramètre après la chaine
 * @param char* La chaine à modifier
 * @param char Le caractère à retirer
 * @return La chaine modifiée
 */
char* rtrim(char*, char);

/**
 * Inverse la chaine de caractère
 * @param char* La chaine
 * @param int La taille de la chaine
 */
void reverse(char*, int);

/**
 * Convertit un float en chaine de caractère
 * @param float Le float à convertir
 * @param char* Le buffer de reception de la chaine
 * @param int Le nombre de chiffre après la virgule 
 */
void ftoa(float, char*, int) ;

#endif /* STR_H */

